﻿Type=Service
Version=6.8
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	#ExcludeFromLibrary: True
#End Region

Sub Process_Globals
	Private RUNNING_NOTIFICATION_ID As Int=0
	
	Public mCameraManager1 As CameraManager
End Sub

Sub Service_Create
	mCameraManager1.Initialize(Me, "mCameraManager1")
End Sub

Sub Service_Start (StartingIntent As Intent)

End Sub

'	Return true to allow the OS default exceptions handler to handle the uncaught exception.
Sub Application_Error (Error As Exception, StackTrace As String) As Boolean
	Return True
End Sub

Sub Service_Destroy
	mCameraManager1.CameraDisconnect
	mCameraManager1.GPSDisable
	mCameraManager1.RemoteDisable
	mCameraManager1.Release
End Sub

private Sub GetRunningNotification(Title As String, Body As String) As Notification
	Dim mRunningNotification As Notification
	mRunningNotification.Initialize
	'	mRunningNotification.AutoCancel=False
	mRunningNotification.Icon="icon"
	mRunningNotification.Light=False
	'	mRunningNotification.Number=23
	mRunningNotification.OnGoingEvent=True
	mRunningNotification.SetInfo(Title, Body, Main)
	mRunningNotification.Sound=False
	mRunningNotification.Vibrate=False
	
	Return mRunningNotification
End Sub

Sub mCameraManager1_CameraConnected(Success As Boolean)
	If Success Then
		Service.StartForeground(RUNNING_NOTIFICATION_ID, GetRunningNotification("OSC Remote", "Camera connected"))
	Else
		Service.StopForeground(RUNNING_NOTIFICATION_ID)
	End If
	CallSub2(Main, "Starter_CameraConnected", Success)
End Sub

Sub mCameraManager1_GPSConnected(Success As Boolean)
	CallSub2(Main, "Starter_GPSConnected", Success)
End Sub